#ifndef PROTOS_H
#define PROTOS_H
	
	/* DEFINES */
	#define MY_COS(n) COS[(n)]
	#define MY_SIN(n) SIN[(n)]
	#define STYLUSSPEED 2
	
	
	/* STRUCT */
	typedef struct
	{
		int sX;
		int sY;
		u16 cubeSize;
		u8* map;
	}map;
	typedef struct
	{
		int32 posX, posY, hauteur, angle, view;
	}player;


	/* VARIABLES */
	map carte;
	player joueur;
	touchPosition oldStylus, newStylus;
	int compteur, Vbl_compteur, FPS;
	int	texture[2];
	int faces, emit;


	/* FILE ---------- fat.cpp ---------- */
	int LoadGLTextures(u8* buffer, int* texture);

	/* FILE ---------- draw.cpp ---------- */
	void DrawGLScene(void);
	void drawBitmap(u16* src, u16 posX, u16 posY, u16 sX, u16 sY, int start, u16 trans);

	/* FILE ---------- init.cpp ---------- */
	void init(void);
	void LoadWorld();

	/* FILE ---------- event.cpp ---------- */
	void lookEvent(void);
	void CheckCollisions(void);

#endif

